### Hierarchy

- LineItem

## Index

### Properties

- discountedPrice
- discountedPricePerQuantity
- id
- lineItemMode
- name
- price
- priceMode
- productId
- productSlug
- productType
- quantity
- state
- taxRate
- taxedPrice
- totalPrice
- variant

## Properties

### Optional discountedPrice

discountedPrice: DiscountedPrice

- Defined in node_modules/@cxcloud/ct-types/carts.ts:48

### Optional discountedPricePerQuantity

discountedPricePerQuantity: DiscountedPricePerQuantity[]

- Defined in node_modules/@cxcloud/ct-types/carts.ts:49

### id

id: string

- Defined in node_modules/@cxcloud/ct-types/carts.ts:40

### lineItemMode

lineItemMode: string

- Defined in node_modules/@cxcloud/ct-types/carts.ts:55

### name

name: LocalizedString

- Defined in node_modules/@cxcloud/ct-types/carts.ts:42

### price

price: Price

- Defined in node_modules/@cxcloud/ct-types/carts.ts:46

### priceMode

priceMode: string

- Defined in node_modules/@cxcloud/ct-types/carts.ts:52

### productId

productId: string

- Defined in node_modules/@cxcloud/ct-types/carts.ts:41

### productSlug

productSlug: LocalizedString

- Defined in node_modules/@cxcloud/ct-types/carts.ts:44

### productType

productType: Reference

- Defined in node_modules/@cxcloud/ct-types/carts.ts:43

### quantity

quantity: number

- Defined in node_modules/@cxcloud/ct-types/carts.ts:47

### state

state: LineItemState[]

- Defined in node_modules/@cxcloud/ct-types/carts.ts:51

### taxRate

taxRate: TaxRate

- Defined in node_modules/@cxcloud/ct-types/carts.ts:50

### taxedPrice

taxedPrice: TaxedPrice

- Defined in node_modules/@cxcloud/ct-types/carts.ts:54

### totalPrice

totalPrice: Money

- Defined in node_modules/@cxcloud/ct-types/carts.ts:53

### variant

variant: Variant

- Defined in node_modules/@cxcloud/ct-types/carts.ts:45

Generated using TypeDoc